fbrawl = {}
fbrawl.T = minetest.get_translator("fantasy_brawl")


dofile(minetest.get_modpath("fantasy_brawl") .. "/SETTINGS.lua")


arena_lib.register_minigame("fantasy_brawl", {
  prefix = fbrawl_settings.prefix,
  icon = "fbrawl_icon.png",
  temp_properties = {
    classes = {},  -- pl_name: string = class: {}
    match_started = false,
    scores = {} -- pl_name: string = score: number
  },
  player_properties = {
    class = "",
    kills = 0,
    deaths = 0,
    ultimate_recharge = 0,
  },
  disabled_damage_types = {"fall"},
  hotbar = {slots = 4, background_image = "fbrawl_hotbar.png"},
  load_time = fbrawl_settings.max_loading_time,
  show_nametags = false,
  show_minimap = false,
  celebration_time = fbrawl_settings.celebration_time,
  time_mode = "decremental"
})


dofile(minetest.get_modpath("fantasy_brawl") .. "/hud.lua")
dofile(minetest.get_modpath("fantasy_brawl") .. "/sounds.lua")
dofile(minetest.get_modpath("fantasy_brawl") .. "/score.lua")

dofile(minetest.get_modpath("fantasy_brawl") .. "/chatcmdbuilder.lua")
dofile(minetest.get_modpath("fantasy_brawl") .. "/utils.lua")

dofile(minetest.get_modpath("fantasy_brawl") .. "/_classes/classes_system.lua")
dofile(minetest.get_modpath("fantasy_brawl") .. "/_classes/class_selector_formspec.lua")
dofile(minetest.get_modpath("fantasy_brawl") .. "/_classes/health_bar.lua")
dofile(minetest.get_modpath("fantasy_brawl") .. "/_classes/hp_regen.lua")
dofile(minetest.get_modpath("fantasy_brawl") .. "/_classes/skill_status_hud.lua")

dofile(minetest.get_modpath("fantasy_brawl") .. "/_arena_lib/callbacks.lua")
dofile(minetest.get_modpath("fantasy_brawl") .. "/_arena_lib/utils.lua")

dofile(minetest.get_modpath("fantasy_brawl") .. "/_classes/blood_effect.lua")
dofile(minetest.get_modpath("fantasy_brawl") .. "/_classes/warrior/warrior.lua")
dofile(minetest.get_modpath("fantasy_brawl") .. "/_classes/mage/mage.lua")

dofile(minetest.get_modpath("fantasy_brawl") .. "/commands.lua")